org.apache.cassandra.thrift

## Class AuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException
      - - org.apache.cassandra.thrift.AuthenticationException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<AuthenticationException>, org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>

    public class AuthenticationException
    extends org.apache.thrift.TException
    implements org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<AuthenticationException>

invalid authentication request (invalid keyspace, user does not exist, or credentials invalid)

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `AuthenticationException._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static java.util.Map<AuthenticationException._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`java.lang.String` `why`

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationException()`
`AuthenticationException(AuthenticationException other)` Performs a deep copy on other.
`AuthenticationException(java.lang.String why)`

### Method Summary

Methods
`void` `clear()`
`int` `compareTo(AuthenticationException other)`
`AuthenticationException` `deepCopy()`
`boolean` `equals(AuthenticationException that)`
`boolean` `equals(java.lang.Object that)`
`AuthenticationException._Fields` `fieldForId(int fieldId)`
`java.lang.Object` `getFieldValue(AuthenticationException._Fields field)`
`java.lang.String` `getWhy()`
`int` `hashCode()`
`boolean` `isSet(AuthenticationException._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetWhy()` Returns true if field why is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue(AuthenticationException._Fields field, java.lang.Object value)`
`AuthenticationException` `setWhy(java.lang.String why)`
`void` `setWhyIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetWhy()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### why

    public java.lang.String why

#### metaDataMap

    public static final java.util.Map<AuthenticationException._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### AuthenticationException

    public AuthenticationException()

#### AuthenticationException

    public AuthenticationException(java.lang.String why)

#### AuthenticationException

    public AuthenticationException(AuthenticationException other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public AuthenticationException deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>`

#### getWhy

    public java.lang.String getWhy()

#### setWhy

    public AuthenticationException setWhy(java.lang.String why)

#### unsetWhy

    public void unsetWhy()

#### isSetWhy

    public boolean isSetWhy()

Returns true if field why is set (has been assigned a value) and false otherwise

#### setWhyIsSet

    public void setWhyIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(AuthenticationException._Fields field,
                     java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(AuthenticationException._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>`

#### isSet

    public boolean isSet(AuthenticationException._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(AuthenticationException that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(AuthenticationException other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<AuthenticationException>`

#### fieldForId

    public AuthenticationException._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<AuthenticationException,AuthenticationException._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`